Subject: [Ietf-behave] BEHAVE Status - October 25

From: Cullen Jennings <[email-masked]>
Date: Mon, 25 Oct 2004 06:59:10 -0700 (PDT)

Here is a brief summary of where I see things - I'm using this to track the
work so if you have things you wish someone would do, let me know. Of if you
see some things on here that you might be able to do that would be even
better. 

Work in progress

* Using STUN for testing - Goal Mar 05
  Not much happening on this.
  Rohan might do some work on this - no ETA
  Would be good to get some other volunteers on this one. 
  
* UDP Unicast Behavior - Goal May 05
  Good work moving forward - Francois leading work
  See draft-ietf-behave-nat-00

* UDP Multicast Behavior - Goal May 05
  Good work moving forward - Dan leading
  See draft-wing-behave-multicast-00

* Revisions to STUN - Goal Jul 05
  Good work moving forward - Jonathan leading work
  See draft-ietf-behave-rfc3489bis-00

* TCP Behavior - Goal Sep 05
  Some thought starting in this area.
  How to get TCP connections from between two machines both behind NATs?
  Would be nice to test more NATs and see how they perform today.
  Would be nice to get good explanation of existing NAT TCP state machines.
  Also need to figure out more mundane timers issues.

* ICMP behavior - Goal Nov 05
  Not too much happening here yet but some work.
  Nice to get test results of exiting NATs

* Design Techniques - Goal Dec 05
  Not much happening.
  Lots to start from.

* NAT Test Results - Goal TBD
  Nice to get test results checking recommendations
  Nice to get TCP timeout test results
  Nice to get ICMP results
  Nice to get some multicast results
  Nice to see change from Jan 04 to Jan 05
  Cullen has been doing some of this - I need help
  See draft-jennings-midcom-stun-results-02

New Drafts Since Last IETF

  draft-ietf-behave-nat-00
  draft-ietf-behave-rfc3489bis-00
  draft-wing-behave-multicast-00
  draft-jennings-midcom-stun-results-02

Possible Topics for Agenda Time

  Any issues in UDP Unicast work
  Any issues in Multicast work
  Any issues in STUN bis

  Nail the source port range preservation topic

  TCP Issues other than P2P connection approaches
  TCP P2P connection approaches

TODO Items

  Chairs - move the mailing list to IETF
  Chairs - figure out agenda for IETF 61